SHELL = /bin/sh

#CC = /usr/bin/gcc
#CC = gcc
CC = g++

#CCFLAGS = -g
CCFLAGS = -O3 -Wall -pedantic
#CCFLAGS = -O3

AR = ar

LIBS = -lm 

TSFIT_DIR = ..

########################################################################
##          Interface to third party linear algebra software          ##          
########################################################################
LINALG_INTERFACE = LAPACK


## include an .mk-file which defines LINALG_INC and LINALG_LIB
## (include and lib directories of a third party linear algebra library)
include $(TSFIT_DIR)/lapack.mk


########################################################################
##               Subdirectories of TSFIT, etc.                        ##          
########################################################################

INC_DIR = $(TSFIT_DIR)/include
LIB_DIR = $(TSFIT_DIR)/lib
BIN_DIR = $(TSFIT_DIR)/bin
SRC_DIR = $(TSFIT_DIR)/src

TSFITLIB = $(LIB_DIR)/libTSFIT.a 

INSTALLED_HFILES = $(INC_DIR)/tsfit.h $(INC_DIR)/lmethod.h $(INC_DIR)/gmethod.h \
	$(INC_DIR)/convert.h $(INC_DIR)/locpoly.h $(INC_DIR)/bezier.h \
	$(INC_DIR)/SpC1d3D2.h $(INC_DIR)/SpC2d6D2.h $(INC_DIR)/datamng.h \
	$(INC_DIR)/locsearch.h $(INC_DIR)/locrbf.h $(INC_DIR)/linalg.h 

