/* Converting the output of a first stage method to the form
suitable for the use by a second stage method.
 
  Author: Oleg Davydov
	  University of Strathclyde
	  Department of Mathematics
          26 Richmond Street
	  Glasgow G1 1XH
	  Scotland, UK
	  e-mail: oleg.davydov@strath.ac.uk


  Copyright (C) 2005 Oleg Davydov

This file is part of TSFIT.

This package is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2, or (at your option)
any later version.

This package is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this package; see the file COPYING.  If not, write to
the Free Software Foundation, 59 Temple Place - Suite 330,
Boston, MA 02111-1307, USA.  */


typedef struct
{
  char type[1000];
  void *body;
  void (*init) (void *body);
  void (*free) (void *body);
  void (*call_local_method) (void *locale, void *body,
			     TSFIT_LOCAL_METHOD * local_method, void *data);
} TSFIT_CONVERTER;

void set_tsfit_converter (TSFIT_CONVERTER * converter,
		    TSFIT_LOCAL_METHOD * local_method, void *global_method);
/* the last argument is void* by a pure technical reason: convert.h
is loaded before gmethod.h by gmethod.c and tsfit.h */
